$(document).ready(function(e) {

	function show(mensagem){
			$('#pnMen').html('<h4>' + mensagem +'</h4>');
			$('#pnMen').dialog('open');
			}


	 $('#btnNoiva').on('click',function(){
      var SenhaNoivaOK = $('#edtSenhaNoivaOK').val();
	  var contraSenha = $('#edtContraSenha').val();
	  
	   if(contraSenha != '')
		 if(SenhaNoivaOK == ''){
		 $('#pnSenhaNoiva').dialog('open');
		  return false;
		} 

	 })


     var linkFoto;
	 var nomeFoto;
	 var pnDestino;
	 var deOndeVem;


	 $(document).on('click','.btnQuero',function(){
	    linkFoto = $(this).attr('link');
		nomeFoto = $(this).attr('nome_foto');
		pnDestino = $(this).attr('pn');
		deOndeVem = $(this).attr('deOndeVem');
		$( "#btnNaoQuero" ).button({ disabled: true });
		if(deOndeVem == 'Muldar')
		$( "#btnNaoQuero" ).button({ disabled: false });
		$('#pnFotoSelecionada').html('<img class="mold" src="'+linkFoto+'?imgmax=300">');
		$('#pnEscolherFoto').dialog('open');
	 })



	$(document).on('click','.btnContro',function(){
		if($(this).attr('aria-disabled') == 'true')
		  return false;

		
		var id_x9 = $(this).attr('id_x9');
		 $('#pnEscolherFoto').dialog('close');

		 if(id_x9 != '-1'){
			 if(deOndeVem == 'Quero')
	  		  InsertEscolhida(nomeFoto, linkFoto, id_x9, pnDestino,'0');

			 if(deOndeVem == 'Muldar'){
			  UpdateFotosEscolhida(linkFoto, id_x9);
			   show('Alteração Concluída, sua foto foi transferida');
			 }
		 } else {
			DeleteFotoEscolhida(linkFoto, nomeFoto, pnDestino);  	 
		 }

	     return false;

	})

			$('#pnNaoAprovo').dialog({
					autoOpen: false,
					modal: true,
					resizable: false,
					height : 255, // altura
					width  : 480, // largura
					buttons : {
								'Cancelar' :function(){$(this).dialog('close');},
								'Salvar'   :function(){
														var NaoAprovo = $('#edtNaoAprovo').val();
													    if(NaoAprovo==''){
															show('Informe porque você não aprova esta pagina?');
															return false;	
														}
													   Layout(nomeFoto, linkFoto, 10, pnDestino,'1', NaoAprovo);
													   $(this).dialog('close');
													   $('#edtNaoAprovo').val('');
													   }

					          }

		})

	

	$(document).on('click','.btnAprovo',function(){
		linkFoto = $(this).attr('link');
		nomeFoto = $(this).attr('nome_foto');
		pnDestino = $(this).attr('pn');
		deOndeVem = $(this).attr('deOndeVem');
		Layout(nomeFoto, linkFoto, 10, pnDestino,'0','');
		return false;	

	})
	

	$(document).on('click','.btnNaoAprovo',function(){
		linkFoto = $(this).attr('link');
		nomeFoto = $(this).attr('nome_foto');
		pnDestino = $(this).attr('pn');
		deOndeVem = $(this).attr('deOndeVem');
		$('#pnNaoAprovo').dialog('open');

		return false;	
	})

	

	$(document).on('click','.btnMuldarIdeia',function(){
		linkFoto = $(this).attr('link');
		nomeFoto = $(this).attr('nome_foto');
		pnDestino = $(this).attr('pn');
		deOndeVem = $(this).attr('deOndeVem');
		var id_foto_escolhida = $(this).attr('id_foto_escolhida');
		DeleteLayout(linkFoto,nomeFoto,pnDestino,id_foto_escolhida);
		return false;	
	})	


	$('#pnEscolherFoto').dialog({
					autoOpen: false,
					modal: true,
					resizable: false,
					height : 480, // altura
					width  : 700 // largura
	})

 

	$('#pnSenhaNoiva').dialog({
					autoOpen: false,
					modal: true,
					resizable: false,
					height : 150, // altura
					width  : 350, // largura
					buttons : {
								'Entrar' :function(){
													   var contraSenha = $('#edtContraSenha').val();
													   var novaSenha = $('#edtSenhaNoiva').val();
																										   
													   if(novaSenha.toLowerCase() == contraSenha.toLowerCase())	{												   
													    $.ajax({type:'POST', 
																url: "ax.x9.php",  
																data: 'ax=updateSenhaNoiva',
																success: function(R){location.href="?p=fotos&id=4"}
																});
														
														
													    $(this).dialog('close');  
													   }else 													    
													    show('Senha não confere');
													   },
								'Cancelar':function(){$(this).dialog('close');}

							  }

				})
				
				
		
		$('#pnFinalizar').dialog({
					autoOpen: false,
					modal: true,
					resizable: false,
					height : 300, // altura
					width  : 500, // largura
					buttons : {
								'Sair' :function(){},

								'Finalizar Terminei de Escolher':function(){
														var obs = $('#txObsFinalizar').val();
														var QtoGeral = $('#edtQtoGeral').val();
														var QtoAprovado = $('#edtQtoAprovado').val();
														var QtoNaoAprovado = $('#edtQtoNaoAprovado').val();
														var qtoTotal = parseInt(QtoAprovado)  + parseInt(QtoNaoAprovado);
														 
														
														if(QtoGeral == ''){
														UpdateProducaoX9($('#id_evento').val(), '2', 'Cliente','');
														} else {
															if(QtoGeral == qtoTotal){
															  if(QtoAprovado == QtoGeral){
																  //Aprovado
																  UpdateProducaoFullX9($('#id_evento').val(),'7','Cliente','','8');
															  } else { 
															  		  //Não Aprovado
																	  UpdateProducaoFullX9($('#id_evento').val(),'8','Cliente','','9');
																	  }
															} else {
																show('<div align="center">Atenção</div><span style="font-size:12px;'+
																'color:#666; padding-left:45px; "><strong>Temos '+QtoGeral + 
																' fotos para Aprovação.</br>Aprovada = ' 
																+ QtoAprovado + '</br>Não Aprovada = ' + QtoNaoAprovado + 
																'</br>Verifique todas as fotos ante de finalizar</strong></span>');
																return false	
															}
															
															
														}
														
														InsertHistoricoFinalizacao(obs);
														Statos();
														//update para producao
														
														
														$('#txObsFinalizar').val('');
														$(this).dialog('close');
														 
														
														},
								
								'Fechar' :function(){$(this).dialog('close');}

							  }

				})

				

		$( "#pnMen").dialog({
			autoOpen: false,
			modal: true,
			resizable: false,
			buttons: {OK: function() {$( this ).dialog( "close" );}}
		});

	 

	 	$(document).on('click','#btnVerFotoWebSite',function(){
			var album = $(this).attr('album');
			var usuario = $(this).attr('usuario');
			var pag = $(this).attr('pag');
			var destino =  $(this).attr('destino');
			var ondeEscolhidas = $('#edtForEscolhida').val();
			CarregarMaisFoto(album, usuario, pag, destino);
			return false;

		})

		


		$(document).on('click','.btnNavegador',function(){
			var album = $('#album_picasa').val();
			var usuario = $('#edtusuario_picasa').val();
			var pag = $(this).attr('nome') * 10;
			var nome = $(this).attr('nome');
			 nome = (parseInt(nome) + 1);
			$('#spAtual').html(pag+1);
			ControleBotao($('#id_evento').val());
			CarregarMaisFotoPicasa(album,usuario,pag);
			$('#pnAtual').html(nome);
		  return false;

		 }) 

		 

		 $(document).on('click','#btnFinalizar',function(){
			$('#pnFinalizar').dialog('open');
		   return false;
		  })		 

		  

		 $(document).on('click','.btnNavegadorE',function(){
			var pag = $(this).attr('nome') * 10;
			CarregarFotoEscolhidas($('#ondeEscolhidas').val(), pag);
			//$('#pnAtual ui-button-text').html($(this).attr('nome'));
			//$('#spAtual').html(pag);	
		  return false;

		 }) 
});





function PrimeiraCargaFoto(identificador, ap){
				 $.ajax({
				 type: "POST",
				 url: "ax.x9.php",
				 data: 'ax=evento&identificador='+identificador+'&ap='+ap,
				 beforeSend: function(){$("#pnLoadFotos").html('<div align="center">Aguarde Carregando Fotos<p><img src="images/ajax-loader.gif"/></div>').fadeIn('slow');},
				 success: function(R){$("#pnLoadFotos").html(R)} ,
				 error: function(R){ $("#pnLoadFotos").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnLoadFotos").addClass('ui-state-error ui-corner-all');
									  }
			 }) //fim ajax	
		
}





function CarregarMaisFoto(album, usuario, pag, destino, ondeEscolhidas){
			 javascript:scroll(0,0);
				$.ajax({
				 type: "POST",
				 url: "ax.x9.php",
				 data: 'ax=MaisPG&album='+album+'&usuario='+usuario+'&pag='+pag, 
				 beforeSend: function(){$("#"+destino).html('<div align="center">Aguarde Carregando Mais Fotos<p><img src="images/ajax-loader.gif"/></div>').fadeIn('slow');},
				 success: function(R){$("#"+destino).html(R).fadeIn('slow');} ,
				 error: function(R){ $("#"+destino).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#"+destino).html('ui-state-error ui-corner-all');

									  }

			  }) //fim ajax	

}





function SelectHistoricoFinalizacao(){
				$.ajax({
				 type: "POST",
				 url: "ax.x9.php",
				 data: 'ax=HistoricoFinalizacao', 
				 beforeSend: function(){$("#pnHistoricoFinalizacao").html('<div align="center"><img src="images/ajax-loader.gif"/></div>').fadeIn('slow');},
				 success: function(R){$("#pnHistoricoFinalizacao").html(R).fadeIn('slow');} ,
				 error: function(R){ $("#pnHistoricoFinalizacao").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnHistoricoFinalizacao").html('ui-state-error ui-corner-all');
									  }

			  }) //fim ajax		

}

function InsertHistoricoFinalizacao(obs){
				$.ajax({
				 type: "POST",
				 url: "ax.x9.php",
				 data: 'ax=InsertHistorico&obs='+obs, 
				// beforeSend: function(){$("#pnHistoricoFinalizacao").html('<div align="center"><img src="images/ajax-loader.gif"/></div>').fadeIn('slow');},
				 success: function(R){$("#pnHistoricoFinalizacao").append(R).fadeIn('slow');} ,
				 error: function(R){ $("#pnHistoricoFinalizacao").append('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnHistoricoFinalizacao").append('ui-state-error ui-corner-all');
									  }
			  }) //fim ajax		

}


function CarregarMaisFotoPicasa(album, usuario, pag){
				$.ajax({
				 type: "POST",
				 url: "ax.x9.php",
				 data: 'ax=MaisPG&album='+album+'&usuario='+usuario+'&pag='+pag+'&identificador='+$('#edtIdentificar').val(),
				 beforeSend: function(){$("#pnFotos").html('<div class="pnLoad" align="center">Aguarde Carregando Mais Fotos<p><img src="images/ajax-loader.gif"/></div>').fadeIn('slow');},
				 success: function(R){$("#pnFotos").html(R).fadeIn('slow');
		 					  
				 						} ,
				 error: function(R){ $("#pnFotos").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnFotos").html('ui-state-error ui-corner-all');
									  }

			  }) //fim ajax	
}



function CarregarFotoEscolhidas(ondeEscolhidas, deFoto){
				var qtoFotos = $('#EdtQtoFotos').val();
				$.ajax({
				 type: "POST",
				 url: "ax.x9.php",
				 data: 'ax=Escolhidas&ondeEscolhidas='+ondeEscolhidas+'&deFoto='+deFoto+'&qtoFotos='+qtoFotos, 
				 beforeSend: function(){$("#pnLoadFotos").html('<div align="center">Aguarde Carregando Mais Fotos<p><img src="images/ajax-loader.gif"/></div>').fadeIn('slow');},
				 success: function(R){$("#pnLoadFotos").html(R).fadeIn('slow');} ,
				 error: function(R){ $("#pnLoadFotos").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnLoadFotos").html('ui-state-error ui-corner-all');
									  }
			  }) //fim ajax	
}

function PaginacaoEscolhidas(ondeEscolhidas){
 $.ajax({
				 type: "POST",
				 url: "ax.x9.php",
				 data: 'ax=PaginacaoEscolhida&ondeEscolhidas='+ondeEscolhidas,
				 beforeSend: function(){$("#pnLoadPaginacao").html('<div align="center">Aguarde Carregando Paginação<p><img src="images/ajax-loader.gif"/></div>').fadeIn('slow');},
				 success: function(R){$("#pnLoadPaginacao").html(R).fadeIn('slow');} ,
				 error: function(R){ $("#pnLoadPaginacao").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnLoadPaginacao").html('ui-state-error ui-corner-all');
								  }

			  }) //fim ajax		

}


function InsertEscolhida(nome_foto, link_foto, id_x9_local, destino, for_album){
				Identificar = $('#edtIdentificar').val();
				$.ajax({
				 type: "POST",
				 url: "ax.x9.php",
				 data: 'ax=InsertFoto&nome_foto='+nome_foto+'&link_foto='+link_foto+'&id_x9_local='+id_x9_local+
				 		'&destino='+destino + '&for_album='+for_album+'&deOnde='+Identificar, 
				 beforeSend: function(){$("#"+destino).html('<img src="images/ajax-loader.gif"/>').fadeIn('slow');},
				 success: function(R){$("#"+destino).html(R).fadeIn('slow');} ,
				 error: function(R){ $("#"+destino).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#"+destino).html('ui-state-error ui-corner-all');

									  }

			  }) //fim ajax	

}



function Layout(nome_foto, link_foto, id_x9_local, destino, for_album, obs){
				Identificar = $('#edtIdentificar').val();
				$.ajax({

				 type: "POST",

				 url: "ax.x9.php",

				 data: 'ax=layout&nome_foto='+nome_foto+'&link_foto='+link_foto+'&id_x9_local='+id_x9_local+
				 '&destino='+destino + '&for_album='+for_album+'&obs='+obs +'&deOnde='+Identificar, 

				 beforeSend: function(){$("#"+destino).html('<img src="images/ajax-loader.gif"/>').fadeIn('slow');},

				 success: function(R){$("#"+destino).html(R).fadeIn('slow');} ,

				 error: function(R){ $("#"+destino).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#"+destino).html('ui-state-error ui-corner-all');

									  }

			  }) //fim ajax	

}





function CarregarPaginacao(identificador, ap){
				 $('html, body').animate({scrollTop:0}, 'slow');
				 $.ajax({
				 type: "POST",
				 url: "ax.x9.php",
				 data: 'ax=Paginacao&identificador='+identificador+'&ap='+ap,
				 beforeSend: function(){$("#pnLoadPaginacao").html('<div align="center">Aguarde Carregando a Paginação<p><img src="images/ajax-loader.gif"/></div>').fadeIn('slow');},
				 success: function(R){$("#pnLoadPaginacao").html(R)} ,
				 error: function(R){ $("#pnLoadPaginacao").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnLoadPaginacao").addClass('ui-state-error ui-corner-all');
									  }
			 }) //fim ajax	
}
 

function ControleBotao(id_evento){

				 $.ajax({

				 type: "POST",

				 url: "ax.x9.php",

				 data: 'ax=ControleBotao&id_evento='+id_evento,

				 beforeSend: function(){$("#pnControBotao").html('').fadeIn('slow');},

				 success: function(R){$("#pnControBotao").html(R)} ,

				 error: function(R){ $("#pnControBotao").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnControBotao").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax	

} 





function UpdateFotosEscolhida(link_foto, id_x9_local){

				 $.ajax({

				 type: "POST",

				 url: "ax.x9.php",

				 data: 'ax=UpdateFotosEscolhida&link_foto='+link_foto+'&id_x9_local='+id_x9_local

			 }) //fim ajax	

}    





function DeleteFotoEscolhida(link_foto, nome_foto, destino){

				$.ajax({

				 type: "POST",

				 url: "ax.x9.php",

				 data: 'ax=DeleteFotoEscolhida&nome_foto='+nome_foto+'&link_foto='+link_foto+'&destino='+destino, 

				 beforeSend: function(){$("#"+destino).html('<img src="images/ajax-loader.gif"/>').fadeIn('slow');},

				 success: function(R){$("#"+destino).html(R).fadeIn('slow');} ,

				 error: function(R){ $("#"+destino).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#"+destino).html('ui-state-error ui-corner-all');

									  }

			  }) //fim ajax	

}

	

	

function DeleteLayout(link_foto, nome_foto, destino, id_foto_escolhida){
				$.ajax({
				 type: "POST",
				 url: "ax.x9.php",
				 data: 'ax=DeleteLayout&nome_foto='+nome_foto+'&link_foto='+link_foto+'&destino='+destino+'&id_foto_escolhida='+id_foto_escolhida, 
				 beforeSend: function(){$("#"+destino).html('<img src="images/ajax-loader.gif"/>').fadeIn('slow');},
				 success: function(R){$("#"+destino).html(R).fadeIn('slow');} ,
				 error: function(R){ $("#"+destino).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#"+destino).html('ui-state-error ui-corner-all');
									  }
			  }) //fim ajax	

}

	
function Statos(){
				$.ajax({
				 type: "POST",
				 url: "ax.x9.php",
				 data: 'ax=Statos', 
				 success: function(R){ if(R == 'Finalizado'){
				 							$("#pnStatos").html('<h2>Suas fotos estão como finalizada, '+
																'maiores informações entre em contato com seu fotografo(a)</h2>');		
										  }
					 					} ,
				 error: function(R){ $("#pnStatos").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnStatos").html('ui-state-error ui-corner-all');
									  }

			  }) //fim ajax
	
}
